import $axios from '../index'

const statusApi = {
  statusPubApi: '/api/mblog/status',
  statusRecommendApi: '/api/mblog/status',
  userStatusApi: '/api/mblog/status/user',
  answerRecommendApi: '/api/mblog/answer'
}

// 状态发布接口
export function pubStatus(statusPost) {
  return $axios.post(statusApi.statusPubApi, statusPost)
}

// 状态获取接口
export function statusRecommend(page) {
  return $axios.get(statusApi.statusRecommendApi + '/' + page)
}

// 用户状态获取接口
export function userStatus(page) {
  return $axios.get(statusApi.userStatusApi + '/' + page)
}

export function answerRecommend(page) {
  return $axios.get(statusApi.answerRecommendApi + '/' + page)
}
